Summary:	Rules for polkit to add compatibility with pklocalauthority
Name:       polkit-pkla-compat
Version:	0.1
Release:	6%{?dist}
License:	LGPLv2+
URL:		https://pagure.io/polkit-pkla-compat
Source0:	http://releases.pagure.org/polkit-pkla-compat/polkit-pkla-compat-%{version}.tar.xz

BuildRequires: make gcc
BuildRequires: docbook-style-xsl libxslt glib2-devel polkit-devel
Requires(pre): polkit

%description
A polkit JavaScript rule and associated helpers are mainly used to provide
compatibility with the .pkla file format supported in polkit <= 0.105 for users.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%check
make check

%files
%license COPYING
%doc AUTHORS NEWS README
%dir %attr(0750,root,polkitd) 
%dir %{_sysconfdir}/polkit-1/localauthority
%dir %{_sysconfdir}/polkit-1/localauthority/*.d
%dir %{_sysconfdir}/polkit-1/localauthority.conf.d
%dir %attr(0750,root,polkitd) %{_localstatedir}/lib/polkit-1
%dir %{_localstatedir}/lib/polkit-1/localauthority
%dir %{_localstatedir}/lib/polkit-1/localauthority/*.d
%config(noreplace) %{_sysconfdir}/polkit-1/rules.d/49-polkit-pkla-compat.rules
%{_bindir}/pkla-admin-identities
%{_bindir}/pkla-check-authorization
%{_mandir}/man8/pkla-admin-identities.8*
%{_mandir}/man8/pkla-check-authorization.8*
%{_mandir}/man8/pklocalauthority.8*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 1 2022 Wang Guodong <gordonwwang@tencent.com> - 0.1-1
- package init.
